cURL
curl --request POST \ --url https://api.breet.io/v1/payments/banks/add \ --header 'Content-Type: application/json' \ --header 'X-Breet-Env: <api-key>' \ --header 'x-app-id: <api-key>' \ --header 'x-app-secret: <api-key>' \ --data ' { "id": "39", "accountNumber": "3154021148", "narration": "Breet withdrawal" } '
{ "message": "bank added", "success": true, "data": { "id": "69737920df8b52679a8b198e", "account": "69547e78ab637caab7d7839c", "user": "68ca0d24604d65932aac2fc8", "accountName": "CHIROMA AHMED OLABANJI", "accountNumber": "3154021148", "autoSettlement": false, "bankId": "39", "bankName": "United Bank For Africa", "createdAt": "2026-01-23T13:35:27.948Z", "currency": "ngn", "disabled": false, "integration": "692d994b7ca6e4da422363fb", "isBusiness": true, "narration": "Breet withdrawal", "type": "nuban", "updatedAt": "2026-01-23T13:35:27.948Z" }, "meta": {}, "summary": {}, "stats": {} }
This adds a validated NGN or GHS bank to your integration
Your application ID from the Breet dashboard
Your application secret from the Breet dashboard
Environment selector: development or production
The bank ID from the Fetch Bank List endpoint.
"39"
The bank account number to add.
"3154021148"
Optional narration that appears on the bank statement for withdrawals (max 32 characters).
"Breet withdrawal"
Bank added successfully
Was this page helpful?